Applications

Move Payment Systems Assistance Application to Success

Moves an application to success status. - For deposit/static_deposit: `final_amount` is required in data - For withdrawal: data should be empty object (amount taken from original withdrawal)

POST
/api/v2/applications/{application}/payment-systems-assistance/move-to-success

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

application*integer

Application ID

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/applications/1/payment-systems-assistance/move-to-success" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "type": "deposit",    "data": {      "final_amount": "100.50"    }  }'
Empty
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}